Package org.eclipse.jdt.launching.sourcelookup.containers

# Class JavaSourceLookupParticipant

java.lang.Object
org.eclipse.debug.core.sourcelookup.AbstractSourceLookupParticipant
org.eclipse.jdt.launching.sourcelookup.containers.JavaSourceLookupParticipant

All Implemented Interfaces:
  `org.eclipse.debug.core.sourcelookup.ISourceLookupParticipant`

public class JavaSourceLookupParticipant extends org.eclipse.debug.core.sourcelookup.AbstractSourceLookupParticipant
A source lookup participant that searches for Java source code.

This class may be instantiated.

Since:
  3.0
Restriction:
  This class is not intended to be sub-classed by clients.

## Field Summary

### Fields inherited from class org.eclipse.debug.core.sourcelookup.AbstractSourceLookupParticipant

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`JavaSourceLookupParticipant()`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`protected org.eclipse.debug.core.sourcelookup.ISourceContainer`
`getDelegateContainer(org.eclipse.debug.core.sourcelookup.ISourceContainer container)`
`String`
`getSourceName(Object object)`
Returns the source name associated with the given object, or `null` if none.
`void`
`init(org.eclipse.debug.core.sourcelookup.ISourceLookupDirector director)`
`void`
`sourceContainersChanged(org.eclipse.debug.core.sourcelookup.ISourceLookupDirector director)`

### Methods inherited from class org.eclipse.debug.core.sourcelookup.AbstractSourceLookupParticipant

`findSourceElements, getDirector, getSourceContainers, isFindDuplicates`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JavaSourceLookupParticipant

public JavaSourceLookupParticipant()

## Method Details

### getSourceName

public String getSourceName(Object object) throws org.eclipse.core.runtime.CoreException
Returns the source name associated with the given object, or `null` if none.

Parameters:
  `object` - an object with an `IJavaStackFrame` adapter, an IJavaValue or an IJavaType
Returns:
  the source name associated with the given object, or `null` if none
Throws:
  `org.eclipse.core.runtime.CoreException` - if unable to retrieve the source name

### dispose

public void dispose()

Specified by:
  `dispose` in interface `org.eclipse.debug.core.sourcelookup.ISourceLookupParticipant`
Overrides:
  `dispose` in class `org.eclipse.debug.core.sourcelookup.AbstractSourceLookupParticipant`

### getDelegateContainer

protected org.eclipse.debug.core.sourcelookup.ISourceContainer getDelegateContainer(org.eclipse.debug.core.sourcelookup.ISourceContainer container)

Overrides:
  `getDelegateContainer` in class `org.eclipse.debug.core.sourcelookup.AbstractSourceLookupParticipant`

### init

public void init(org.eclipse.debug.core.sourcelookup.ISourceLookupDirector director)

Specified by:
  `init` in interface `org.eclipse.debug.core.sourcelookup.ISourceLookupParticipant`
Overrides:
  `init` in class `org.eclipse.debug.core.sourcelookup.AbstractSourceLookupParticipant`

### sourceContainersChanged

public void sourceContainersChanged(org.eclipse.debug.core.sourcelookup.ISourceLookupDirector director)

Specified by:
  `sourceContainersChanged` in interface `org.eclipse.debug.core.sourcelookup.ISourceLookupParticipant`
Overrides:
  `sourceContainersChanged` in class `org.eclipse.debug.core.sourcelookup.AbstractSourceLookupParticipant`